# frozen_string_literal: true

require 'rails/generators'

module DependencyUpdater
  class InstallGenerator < Rails::Generators::Base
    source_root File.expand_path('../../../templates/dependency_updater', __FILE__)

    desc 'This generator creates an initializer for Dependency Updater, allowing configuration'

    def install_dependency_updater
      template 'initializer.rb', 'config/initializers/dependency_updater.rb'
    end
  end
end
