# frozen_string_literal: true

namespace :dependency_updater do
  desc 'Updates gems and ruby version declarations'
  task run_update: :environment do |_task, args|
    depbot = DependencyUpdater::Updater.new
    depbot.git_init
    depbot.update_ruby
    depbot.update_gems_and_cap_deploy
    depbot.wrap_up
  end
end
