# Initialize the Dependency Updater gem
DependencyUpdater.configure do |config|
  config.production_branch   = nil # e.g. 'main', 'master' [sic], 'prod'
  config.merge_target_branch = nil # e.g. 'development', 'staging'; the branch set as 'default' in Gitlab
  config.project_id          = nil # Find this in the "Project overview" page in Gitlab, under the project's name
end

# Initialize the gitlab gem
Gitlab.configure do |config|
  config.endpoint = 'https://gitlab.med.upenn.edu/api/v4/'
  config.private_token = Rails.application.secrets.gitlab_private_token
end
