require 'dependency_updater'
require 'rails'

module DependencyUpdater
  class Railtie < Rails::Railtie
    railtie_name :dependency_updater

    rake_tasks do
      load 'tasks/dependency_updater/run_update.rake'
    end
  end
end