# -*- encoding: utf-8 -*-
# stub: dependency_updater 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dependency_updater".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Michaux".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-04-30"
  s.description = "This tool\n1. create's a new branch\n2. runs 'bundle update'\n3. find's the latest patch-level version of Ruby and updates files that reference the version\n4a. commit's the updates and pushes to gitlab, creating a new merge request\n4b. delete's the branch if no updates were made\n".freeze
  s.email = ["david.michaux@pennmedicine.upenn.edu".freeze]
  s.homepage = "https://gitlab.med.upenn.edu/infrastructure/dependency-updater.git".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A tool to check for gem and Ruby version updates".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.14"])
    s.add_runtime_dependency(%q<rails>.freeze, ["~> 5.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.14"])
    s.add_dependency(%q<rails>.freeze, ["~> 5.0"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.1"])
  end
end
